- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# Rp_property

## Typedefs
typedef struct rp_property_t | rp_property_t
## Enumerations
enum | rp_property_type_t { RP_PROPERTY_USERNAME_TOKEN = 0, RP_PROPERTY_X509_TOKEN, RP_PROPERTY_ISSUED_TOKEN, RP_PROPERTY_SAML_TOKEN, RP_PROPERTY_SECURITY_CONTEXT_TOKEN, RP_PROPERTY_HTTPS_TOKEN, RP_PROPERTY_SYMMETRIC_BINDING, RP_PROPERTY_ASYMMETRIC_BINDING, RP_PROPERTY_TRANSPORT_BINDING, RP_PROPERTY_SIGNED_SUPPORTING_TOKEN, RP_PROPERTY_SIGNED_ENDORSING_SUPPORTING_TOKEN, RP_PROPERTY_SUPPORTING_SUPPORTING_TOKEN, RP_PROPERTY_ENDORSING_SUPPORTING_TOKEN, RP_PROPERTY_WSS10, RP_PROPERTY_WSS11, RP_PROPERTY_SUPPORTING_TOKEN, RP_PROPERTY_UNKNOWN }
## Functions
AXIS2_EXTERN rp_property_t * | rp_property_create (const axutil_env_t *env)
AXIS2_EXTERN void | rp_property_free (rp_property_t *property, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | rp_property_set_value (rp_property_t *property, const axutil_env_t *env, void *value, rp_property_type_t type)
AXIS2_EXTERN void * | rp_property_get_value (rp_property_t *property, const axutil_env_t *env)
AXIS2_EXTERN rp_property_type_t | rp_property_get_type (rp_property_t *property, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | rp_property_increment_ref (rp_property_t *property, const axutil_env_t *env)